Bug 517561 - [KMS] Enabling desktop effects on Intel 845G locks up X
[KMS] Enabling desktop effects on Intel 845G locks up X
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
rawhide
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-14 13:22 EDT by Joachim Frieben
Modified: 2013-04-02 00:23 EDT (History)
6 users (show)

See Also:
Fixed In Version: xorg-x11-drv-intel-2.9.1-1.fc12.i686
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-06 09:58:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log with backtrace for Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device rev 3 (72.18 KB, text/plain)
2009-08-14 13:22 EDT, Joachim Frieben
no flags Details
Xorg.0.log with backtrace for Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device rev 3 (44.91 KB, text/plain)
2009-10-15 02:04 EDT, Joachim Frieben
no flags Details
ABRT backtrace related to desktop effects (21.25 KB, text/plain)
2009-11-06 09:56 EST, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2009-08-14 13:22:20 EDT
Created attachment 357483 [details]
Xorg.0.log with backtrace for Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device rev 3

Description of problem:
After a fresh install from the Fedora development tree, enabling "Desktop Effects" lock up X on an "Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device rev 3".
Only an ibeam style cursor is visible on top of an empty background. Switching to a VT is not possible.

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.8.0-6.fc12.i686

How reproducible:
Always.

Steps to Reproduce:
1. Enable desktop effects.
  
Actual results:
GNOME desktop disappears. An ibeam style cursor is visible in front of the background and can be moved but no other action can be taken.

Expected results:
Desktop effects get enabled.

Additional info:
- Desktop effects with active KMS used to work in F11 on this system.
Comment 1 Joachim Frieben 2009-08-14 13:26:47 EDT
Looks actually similar to bug 515755 that I had reported for an ATI Radeon X800.
Comment 2 Joachim Frieben 2009-09-06 10:18:08 EDT
Same issue for xorg-x11-drv-intel-2.8.0-9.fc12.i686. The xterm cursor cannot even be moved now.
Comment 3 Joachim Frieben 2009-10-15 02:04:29 EDT
Created attachment 364861 [details]
Xorg.0.log with backtrace for Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device rev 3

Issue persists for current "rawhide" including packages:
- kernel-PAE-2.6.31.4-80.fc12.i686
- libdrm-2.4.14-1.fc12.i686
- mesa-libGL-7.6-0.13.fc12.i686
- xorg-x11-drv-intel-2.9.0-2.fc12.i686
- xorg-x11-server-Xorg-1.7.0-1.fc12.i686
Comment 4 Joachim Frieben 2009-10-27 12:47:42 EDT
X still locks up for current "rawhide" including packages:
- compiz-0.8.2-18.fc12.i686
- kernel-PAE-2.6.31.5-97.fc12.i686
- libdrm-2.4.15-1.fc12.i686
- mesa-libGL-7.6-0.13.fc12.i686
- xorg-x11-drv-intel-2.9.1-1.fc12.i686
- xorg-x11-server-Xorg-1.7.0-1.fc12.i686
However, system can still be reached through the network and rebooted in a controlled manner.
Comment 6 Matěj Cepl 2009-11-05 12:13:59 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 7 Joachim Frieben 2009-11-06 09:56:06 EST
Created attachment 367829 [details]
ABRT backtrace related to desktop effects

Current "rawhide" behaves already much better. X tries to enable destop effects, the screen flashes, and the user is then asked whether he wants to keep the current settings. There is no window decorator and no noticeable desktop effect. The setting in the desktop effects applet is "Compiz" though. Disabling desktop effects then reverts to the previous situation with metacity as winodw manager. File ".xsession-errors" shows an error message. ABRT produces a backtrace which points to a MESA issue. Thus, the current issue is resolved, and the bug can be closed. A new bug against package "mesa" needs to be opened though.
Comment 8 Antal KICSI 2009-11-09 06:15:34 EST
Although the bug is closed I still have the same problem with i845 rev 01.
(Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device
(rev 01) )

Smolt profile : 
http://www.smolts.org/client/show/pub_50c9b678-9c49-4072-b7a6-c5eb9a36c342  

Tested with desktop-i386-20091107.20.iso from

http://alt.fedoraproject.org/pub/alt/nightly-composes/
Comment 9 Stuart D Gathman 2010-02-01 17:57:07 EST
Freshly installed and updated Fedora 12 still has the bug.  Attempting to enable compiz locks up X, cannot kill or switch consoles.  No xvideo.

82845G rev 01
compiz-0.8.2-21.fc12.i686
xorg-x11-drv-intel-2.9.1-1.fc12.i686
mesa-libGL-7.7-3.fc12.i686
kernel-2.6.31.12-174.2.3.fc12.i686
libdrm-2.4.17-1.fc12.i686

Smolt Profile:
http://www.smolts.org/client/show/pub_ab0527d2-5707-489e-9071-d597f6925539

Setting "nomodeset" on kernel restores xvideo, but compiz still locks up, and additionally, X locks up even when not running compiz.  That is another bug.

Note You need to log in before you can comment on or make changes to this bug.